Page MenuHomePhabricator

Convert TimedMediaHandler to use extension registration
Closed, ResolvedPublic

Description

The TimedMediaHandler extension needs to be converted to use the new extension registration system. More details are available on T87875.

Related Objects

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 29 2015, 7:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 210176 had a related patch set uploaded (by Paladox):
Add extensions.json, empty PHP entry point, remove i18n shim

https://gerrit.wikimedia.org/r/210176

Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:56 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:56 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:03 PM
Liuxinyu970226 set Security to None.
TheDJ moved this task from Backlog to Doing on the TimedMediaHandler board.Oct 25 2015, 1:34 PM
TheDJ assigned this task to Paladox.Oct 27 2015, 8:34 AM
TheDJ added a subscriber: TheDJ.

unblocked because T90282 was properly fixed now.

TheDJ added a comment.Feb 18 2016, 2:53 PM

Note: we could move the conditional resource loader definitions from the extension registration function into a use https://www.mediawiki.org/wiki/Manual:Hooks/ResourceLoaderRegisterModules hook. That brings us another step closer.

@TheDJ do you mean before the migration or when we are converting or after.

@TheDJ does that mean we can move the hooks also out of the function and back into the main php file.

Change 271538 had a related patch set uploaded (by Paladox):
Convert ResouceLoader to use ResourceLoaderRegisterModules hook

https://gerrit.wikimedia.org/r/271538

@TheDJ anyways the extension function config is supported in extension registration, but what needs fixing is the transcode configs maybe a overhaul of them.

Change 272422 had a related patch set uploaded (by TheDJ):
Improve dynamic resource module registration

https://gerrit.wikimedia.org/r/272422

Change 272422 merged by jenkins-bot:
Improve dynamic resource module registration

https://gerrit.wikimedia.org/r/272422

TheDJ added a subscriber: Paladox.
Paladox added a comment.EditedFeb 26 2016, 6:31 PM

We need to some have to update the code to allow the config to say which files can be found and if for example webm 360p was not included then that file should not be included in the transcodes even if the transcode is avalible, it should just be hidden and have the ability for a clear button.

Change 271538 abandoned by Paladox:
Convert ResouceLoader to use ResourceLoaderRegisterModules hook

https://gerrit.wikimedia.org/r/271538

Change 210176 abandoned by Reedy:
Add extensions.json, empty PHP entry point

Reason:
to be redone

https://gerrit.wikimedia.org/r/210176

Change 322609 had a related patch set uploaded (by Reedy):
Convert to extension registration

https://gerrit.wikimedia.org/r/322609

Change 350758 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TimedMediaHandler@master] WIP: Migrate in all the MwEmbedSupport extension

https://gerrit.wikimedia.org/r/350758

Change 322609 abandoned by Reedy:
Convert to extension registration

https://gerrit.wikimedia.org/r/322609

Ebe123 added a subscriber: Ebe123.Dec 30 2017, 3:36 AM

Change 350758 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Migrate in all the MwEmbedSupport extension's code so we can kill it off

https://gerrit.wikimedia.org/r/350758

Change 442220 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TimedMediaHandler@master] [WIP] Convert to extension.json

https://gerrit.wikimedia.org/r/442220

Change 442220 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] [BREAKING CHANGE] Convert to extension.json

https://gerrit.wikimedia.org/r/442220

Change 449260 had a related patch set uploaded (by Brion VIBBER; owner: Jforrester):
[mediawiki/extensions/TimedMediaHandler@wmf/1.32.0-wmf.14] [BREAKING CHANGE] Convert to extension.json

https://gerrit.wikimedia.org/r/449260

Change 449260 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@wmf/1.32.0-wmf.14] [BREAKING CHANGE] Convert to extension.json

https://gerrit.wikimedia.org/r/449260

Mentioned in SAL (#wikimedia-operations) [2018-07-31T00:05:31Z] <thcipriani@deploy1001> Started scap: SWAT: [[gerrit:449260|Convert to extension.json]] T87981 [[gerrit:449372|Use maps for wgEnabledTranscodeSet]] T118080 [[gerrit:449373|Adjust VP9 encoding for speed, quality]] [[gerrit:449374|More conservative max bitrate for VP9 video transcodes]]

Mentioned in SAL (#wikimedia-operations) [2018-07-31T00:39:16Z] <thcipriani@deploy1001> Finished scap: SWAT: [[gerrit:449260|Convert to extension.json]] T87981 [[gerrit:449372|Use maps for wgEnabledTranscodeSet]] T118080 [[gerrit:449373|Adjust VP9 encoding for speed, quality]] [[gerrit:449374|More conservative max bitrate for VP9 video transcodes]] (duration: 33m 44s)

Change 451036 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TimedMediaHandler@REL1_31] Migrate in all the MwEmbedSupport extension's code so we can kill it off

https://gerrit.wikimedia.org/r/451036

Change 451041 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TimedMediaHandler@REL1_31] [BREAKING CHANGE] Convert to extension.json

https://gerrit.wikimedia.org/r/451041

Change 451036 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@REL1_31] Migrate in all the MwEmbedSupport extension's code so we can kill it off

https://gerrit.wikimedia.org/r/451036

Change 451041 merged by Umherirrender:
[mediawiki/extensions/TimedMediaHandler@REL1_31] [BREAKING CHANGE] Convert to extension.json

https://gerrit.wikimedia.org/r/451041